[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
Re: [p2-dev] error while loading a remote repository using IMetadataRepositoryManager

Hi Dileepa,

ECF is coming up on a 3.5.5 maintenance release (next Monday 3/19), ECF 3.5.5 will then be used in p2//Eclipse 3.8 [1].

ECF produces both a p2 repo and maven repo as part of our project build process, but at least so far only the p2 repo is consumed and distributed by p2/Eclipse/simultaneous release.

You can get links to the ECF builder, and resulting p2 and maven repos here [2]...although since we're very close to this maintenance release I wouldn't recommend using the repos that are there right now.

If you don't mind, let's move further discussion about this to ecf-dev mailing list [3], and we'll be happy to help with the releng details of consuming the httpclient provider and/or other parts of ECF in maven or p2 repo form.

Thanks,

Scott

[1] https://bugs.eclipse.org/bugs/show_bug.cgi?id=373213
[2] http://wiki.eclipse.org/Eclipse_Communication_Framework_Project and http://www.eclipse.org/ecf/downloads.php
[3] https://dev.eclipse.org/mailman/listinfo/ecf-dev